/*
======================
Globals
======================
*/

*
{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    border: 0px;
}

html
{
    font-size: 16px;
    height: 100%;
}

/* 150% Zoom */
@media screen and (max-width: 1280px)
{
    html
    {
        font-size: 12px;
    }
}

body
{
    height: 100%;
    overflow-x: hidden;
}

.main-content-scroller
{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 5rem;
    overflow-y: scroll;
}

.sign-in-background
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/*
======================
Navbars
======================
*/

.navbar-button-icon
{
    transition: transform 0.2s;
}

.navbar-button-icon:hover
{
    transform: scale(1.1);
}

.navbar-button-icon:active
{
    transform: scale(0.9);
}

.card-mini-hover
{
    transition: transform 0.2s;
}

.card-mini-hover:hover
{
    transform: scale(1.05);
}

.card-mini-hover:active
{
    transform: scale(0.95);
}

/*
======================
Animations
======================
*/

@keyframes pulseAnimation
{
    0%
    {
        transform: scale(1);
    }
    50%
    {
        transform: scale(1.5);
    }
}

.klofi-infinite-pulse
{
    display: block;
    animation: pulseAnimation 1s infinite;
}

/*
======================
Systems
======================
*/

.cursor-pointer
{
    cursor: pointer;
}

.not-dragable-link
{
    /* Disable <a> link underline */
    text-decoration: none;

    /* Disable <a> link drag'n'drop */
    user-select: none;
    -webkit-user-drag: none;

    /* Disable text selecting */
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

/*
======================
Forms
======================
*/

input[type="text"]::placeholder
{
    opacity: 0.5;
}

input[type="tel"]::placeholder
{
    opacity: 0.5;
}

input[type="email"]::placeholder
{
    opacity: 0.5;
}

input[type="number"]::placeholder
{
    opacity: 0.5;
}

input[type="password"]::placeholder
{
    opacity: 0.5;
}

textarea::placeholder
{
    opacity: 0.5 !important;
}

option:disabled
{
    background-color: #dee2e6;
}

.klofi-form-input-icon
{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2.375rem;
    padding-left: 0.7rem;
}

.klofi-form-input-ending
{
    display: flex;
    align-items: center;
    justify-content: center;
    /* width: 2.375rem; */
    padding-right: 0.9rem;
}

/*
======================
Tables
======================
*/

/*
table td
{
    background-color: transparent !important;
}
*/
